@ -731,7 +731,7 @@ PACKAGE_STRING=
PACKAGE_BUGREPORT=
ac_unique_file="acinclude.m4"
ac_default_prefix=${K DEDIR:-the kde prefix}
ac_default_prefix=${T DEDIR:-the kde prefix}
# Factoring default headers for most tests.
ac_includes_default="\
#include <stdio.h>
@ -986,28 +986,28 @@ kde_templatesdir
kde_servicesdir
kde_servicetypesdir
kde_moduledir
k deinitdir
t deinitdir
kde_styledir
kde_widgetdir
LIB_KDED
LIB_K DECORE
LIB_K DEUI
LIB_K IO
LIB_T DECORE
LIB_T DEUI
LIB_TDE IO
LIB_KJS
LIB_SMB
LIB_KAB
LIB_KABC
LIB_K HTML
LIB_K SPELL
LIB_K PARTS
LIB_K DEPRINT
LIB_K UTILS
LIB_K DEPIM
LIB_K IMPROXY
LIB_TDE HTML
LIB_TDE SPELL
LIB_TDE PARTS
LIB_T DEPRINT
LIB_TDE UTILS
LIB_T DEPIM
LIB_TDE IMPROXY
LIB_KNEWSTUFF
LIB_K DNSSD
LIB_K UNITTEST
LIB_K SYCOCA
LIB_TDE DNSSD
LIB_TDE UNITTEST
LIB_TDE SYCOCA
LIB_KFILE
LIB_KFM
TOPSUBDIRS
@ -1299,7 +1299,7 @@ do
-psdir=* | --psdir=* | --psdi=* | --psd=* | --ps=*)
psdir=$ac_optarg ;;
-q | -quiet | --quiet | --quie | --qui | --qu | --q \
-q | -t quiet | --t quiet | --t quie | --t qui | --qu | --q \
| -silent | --silent | --silen | --sile | --sil)
silent=yes ;;
@ -1546,7 +1546,7 @@ Configuration:
--help=short display options specific to this package
--help=recursive display the short help of all the included packages
-V, --version display version information and exit
-q, --quiet, --silent do not print \`checking...' messages
-q, --t quiet, --silent do not print \`checking...' messages
--cache-file=FILE cache test results in FILE [disabled]
-C, --config-cache alias for \`--cache-file=config.cache'
-n, --no-create do not create output files
@ -1816,7 +1816,7 @@ do
do
case $ac_arg in
-no-create | --no-c* | -n | -no-recursion | --no-r*) continue ;;
-q | -quiet | --quiet | --quie | --qui | --qu | --q \
-q | -t quiet | --t quiet | --t quie | --t qui | --qu | --q \
| -silent | --silent | --silen | --sile | --sil)
continue ;;
*\'*)
@ -1832,7 +1832,7 @@ do
case $ac_arg in
*=* | --config-cache | -C | -disable-* | --disable-* \
| -enable-* | --enable-* | -gas | --g* | -nfp | --nf* \
| -q | -quiet | --q* | -silent | --sil* | -v | -verb* \
| -q | -t quiet | --q* | -silent | --sil* | -v | -verb* \
| -with-* | --with-* | -without-* | --without-* | --x)
case "$ac_configure_args0 " in
"$ac_configure_args1"*" '$ac_arg' "* ) continue ;;
@ -2725,11 +2725,11 @@ am__tar='${AMTAR} chof - "$$tardir"'; am__untar='${AMTAR} xf -'
kde_default_bindirs="/usr/bin /usr/local/bin /opt/local/bin /usr/X11R6/bin /opt/kde/bin /opt/kde3/bin /usr/kde/bin /usr/local/kde/bin"
test -n "$KDEDIR" && kde_default_bindirs="$K DEDIR/bin $kde_default_bindirs"
if test -n "$K DEDIRS"; then
test -n "$TDEDIR" && kde_default_bindirs="$T DEDIR/bin $kde_default_bindirs"
if test -n "$T DEDIRS"; then
kde_save_IFS=$IFS
IFS=:
for dir in $K DEDIRS; do
for dir in $T DEDIRS; do
kde_default_bindirs="$dir/bin $kde_default_bindirs "
done
IFS=$kde_save_IFS
@ -2737,12 +2737,12 @@ am__tar='${AMTAR} chof - "$$tardir"'; am__untar='${AMTAR} xf -'
if test "x$prefix" = "xNONE"; then
{ echo "$as_me:$LINENO: checking for k de-config" >&5
echo $ECHO_N "checking for k de-config... $ECHO_C" >&6; }
{ echo "$as_me:$LINENO: checking for t de-config" >&5
echo $ECHO_N "checking for t de-config... $ECHO_C" >&6; }
if test -n "$KDECONFIG"; then
kde_cv_path="$KDECONFIG";
else
kde_cache=`echo k de-config | sed 'y%./+-%__p_%'`
kde_cache=`echo t de-config | sed 'y%./+-%__p_%'`
if { as_var=kde_cv_path_$kde_cache; eval "test \"\${$as_var+set}\" = set"; }; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@ -2761,16 +2761,16 @@ else
IFS=$kde_save_IFS
for dir in $dirs; do
if test -x "$dir/k de-config"; then
if test -x "$dir/t de-config"; then
if test -n ""
then
evalstr="$dir/k de-config 2>&1 "
evalstr="$dir/t de-config 2>&1 "
if eval $evalstr; then
kde_cv_path="$dir/k de-config"
kde_cv_path="$dir/t de-config"
break
fi
else
kde_cv_path="$dir/k de-config"
kde_cv_path="$dir/t de-config"
break
fi
fi
@ -2790,10 +2790,10 @@ fi
{ echo "$as_me:$LINENO: result: not found" >&5
echo "${ECHO_T}not found" >&6; }
{ { echo "$as_me:$LINENO: error: The important program k de-config was not found!
{ { echo "$as_me:$LINENO: error: The important program t de-config was not found!
Please check whether you installed KDE correctly.
" >&5
echo "$as_me: error: The important program k de-config was not found!
echo "$as_me: error: The important program t de-config was not found!
Please check whether you installed KDE correctly.
" >&2;}
{ (exit 1); exit 1; }; }
@ -2809,12 +2809,12 @@ echo "${ECHO_T}$kde_cv_path" >&6; }
kde_save_PATH="$PATH"
PATH="$exec_prefix/bin:$prefix/bin:$PATH"
{ echo "$as_me:$LINENO: checking for k de-config" >&5
echo $ECHO_N "checking for k de-config... $ECHO_C" >&6; }
{ echo "$as_me:$LINENO: checking for t de-config" >&5
echo $ECHO_N "checking for t de-config... $ECHO_C" >&6; }
if test -n "$KDECONFIG"; then
kde_cv_path="$KDECONFIG";
else
kde_cache=`echo k de-config | sed 'y%./+-%__p_%'`
kde_cache=`echo t de-config | sed 'y%./+-%__p_%'`
if { as_var=kde_cv_path_$kde_cache; eval "test \"\${$as_var+set}\" = set"; }; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@ -2833,16 +2833,16 @@ else
IFS=$kde_save_IFS
for dir in $dirs; do
if test -x "$dir/k de-config"; then
if test -x "$dir/t de-config"; then
if test -n ""
then
evalstr="$dir/k de-config 2>&1 "
evalstr="$dir/t de-config 2>&1 "
if eval $evalstr; then
kde_cv_path="$dir/k de-config"
kde_cv_path="$dir/t de-config"
break
fi
else
kde_cv_path="$dir/k de-config"
kde_cv_path="$dir/t de-config"
break
fi
fi
@ -2862,10 +2862,10 @@ fi
{ echo "$as_me:$LINENO: result: not found" >&5
echo "${ECHO_T}not found" >&6; }
{ { echo "$as_me:$LINENO: error: The important program k de-config was not found!
{ { echo "$as_me:$LINENO: error: The important program t de-config was not found!
Please check whether you installed KDE correctly.
" >&5
echo "$as_me: error: The important program k de-config was not found!
echo "$as_me: error: The important program t de-config was not found!
Please check whether you installed KDE correctly.
" >&2;}
{ (exit 1); exit 1; }; }
@ -2882,13 +2882,13 @@ echo "${ECHO_T}$kde_cv_path" >&6; }
kde_libs_prefix=`$KDECONFIG --prefix`
if test -z "$kde_libs_prefix" || test ! -x "$kde_libs_prefix"; then
{ { echo "$as_me:$LINENO: error: $KDECONFIG --prefix outputed the non existant prefix '$kde_libs_prefix' for k delibs.
{ { echo "$as_me:$LINENO: error: $KDECONFIG --prefix outputed the non existant prefix '$kde_libs_prefix' for t delibs.
This means it has been moved since you installed it.
This won't work. Please recompile k delibs for the new prefix.
This won't work. Please recompile t delibs for the new prefix.
" >&5
echo "$as_me: error: $KDECONFIG --prefix outputed the non existant prefix '$kde_libs_prefix' for k delibs.
echo "$as_me: error: $KDECONFIG --prefix outputed the non existant prefix '$kde_libs_prefix' for t delibs.
This means it has been moved since you installed it.
This won't work. Please recompile k delibs for the new prefix.
This won't work. Please recompile t delibs for the new prefix.
" >&2;}
{ (exit 1); exit 1; }; }
fi
@ -2898,8 +2898,8 @@ echo "$as_me: error: $KDECONFIG --prefix outputed the non existant prefix '$kde_
echo $ECHO_N "checking where to install... $ECHO_C" >&6; }
if test "x$prefix" = "xNONE"; then
prefix=$kde_libs_prefix
{ echo "$as_me:$LINENO: result: $prefix (as returned by k de-config)" >&5
echo "${ECHO_T}$prefix (as returned by k de-config)" >&6; }
{ echo "$as_me:$LINENO: result: $prefix (as returned by t de-config)" >&5
echo "${ECHO_T}$prefix (as returned by t de-config)" >&6; }
else
given_prefix=$prefix
{ echo "$as_me:$LINENO: result: $prefix (as requested)" >&5
@ -7651,13 +7651,13 @@ fi
# Check whether --enable-libsuffix was given.
if test "${enable_libsuffix+set}" = set; then
enableval=$enable_libsuffix; k delibsuff=$enableval
enableval=$enable_libsuffix; t delibsuff=$enableval
else
k delibsuff="auto"
t delibsuff="auto"
fi
if test "$k delibsuff" = "auto"; then
if test "$t delibsuff" = "auto"; then
cat > conftest.c << EOF
#include <stdio.h>
@ -7665,17 +7665,17 @@ int main() {
return 0;
}
EOF
k delibsuff=`$CC conftest.c -o conftest.out; ldd conftest.out |sed -ne '/libc.so/{
t delibsuff=`$CC conftest.c -o conftest.out; ldd conftest.out |sed -ne '/libc.so/{
s,.*/lib\([^\/]*\)/.*,\1,
p
}'`
rm -rf conftest.*
fi
if test "$kdelibsuff" = "no" || test "$k delibsuff" = "none"; then
k delibsuff=
if test "$tdelibsuff" = "no" || test "$t delibsuff" = "none"; then
t delibsuff=
fi
if test -z "$k delibsuff"; then
if test -z "$t delibsuff"; then
{ echo "$as_me:$LINENO: result: not using lib directory suffix" >&5
echo "${ECHO_T}not using lib directory suffix" >&6; }
@ -7685,16 +7685,16 @@ _ACEOF
else
if test "$libdir" = '${exec_prefix}/lib'; then
libdir="$libdir${k delibsuff}"
libdir="$libdir${t delibsuff}"
libdir="$libdir"
fi
cat >>confdefs.h <<_ACEOF
@%:@define KDELIBSUFF "${k delibsuff}"
@%:@define KDELIBSUFF "${t delibsuff}"
_ACEOF
{ echo "$as_me:$LINENO: result: using lib directory suffix $k delibsuff" >&5
echo "${ECHO_T}using lib directory suffix $k delibsuff" >&6; }
{ echo "$as_me:$LINENO: result: using lib directory suffix $t delibsuff" >&5
echo "${ECHO_T}using lib directory suffix $t delibsuff" >&6; }
fi
# Check whether --enable-fast-install was given.
@ -8882,8 +8882,8 @@ echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
no:yes:* )
{ echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: check for missing preret quisite headers?" >&5
echo "$as_me: WARNING: $ac_header: check for missing preret quisite headers?" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
@ -9352,7 +9352,7 @@ EOF
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && test -s "$nlist"; then
# Try sorting and uniquifying the output.
# Try sorting and unit quifying the output.
if sort "$nlist" | uniq > "$nlist"T; then
mv -f "$nlist"T "$nlist"
else
@ -22591,7 +22591,7 @@ LIBTOOL_SHELL="/bin/sh ./libtool"
KDE_PLUGIN="-avoid-version -module -no-undefined \$(KDE_NO_UNDEFINED) \$(KDE_RPATH) \$(KDE_MT_LDFLAGS)"
# This hack ensures that libtool creates shared libs for k unittest plugins. By default check_LTLIBRARIES makes static libs.
# This hack ensures that libtool creates shared libs for tde unittest plugins. By default check_LTLIBRARIES makes static libs.
KDE_CHECK_PLUGIN="\$(KDE_PLUGIN) -rpath \$(libdir)"
@ -23023,7 +23023,7 @@ if test "x$kde_cv_func_strlcat" = xyes; then
else
case "strlcat" in
setenv|unsetenv|usleep|random|srandom|seteuid|mkstemps|mkstemp|revoke|vsnprintf|strlcpy|strlcat)
kde_cv_proto_strlcat="yes - in libk defakes"
kde_cv_proto_strlcat="yes - in libt defakes"
;;
*)
kde_cv_proto_strlcat=unknown
@ -23234,7 +23234,7 @@ if test "x$kde_cv_func_strlcpy" = xyes; then
else
case "strlcpy" in
setenv|unsetenv|usleep|random|srandom|seteuid|mkstemps|mkstemp|revoke|vsnprintf|strlcpy|strlcat)
kde_cv_proto_strlcpy="yes - in libk defakes"
kde_cv_proto_strlcpy="yes - in libt defakes"
;;
*)
kde_cv_proto_strlcpy=unknown
@ -24620,8 +24620,8 @@ echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
no:yes:* )
{ echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: check for missing preret quisite headers?" >&5
echo "$as_me: WARNING: $ac_header: check for missing preret quisite headers?" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
@ -24762,8 +24762,8 @@ echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
no:yes:* )
{ echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: check for missing preret quisite headers?" >&5
echo "$as_me: WARNING: $ac_header: check for missing preret quisite headers?" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
@ -24971,8 +24971,8 @@ echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
no:yes:* )
{ echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: check for missing preret quisite headers?" >&5
echo "$as_me: WARNING: $ac_header: check for missing preret quisite headers?" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
@ -25108,8 +25108,8 @@ echo "$as_me: WARNING: CoreAudio/CoreAudio.h: proceeding with the compiler's res
no:yes:* )
{ echo "$as_me:$LINENO: WARNING: CoreAudio/CoreAudio.h: present but cannot be compiled" >&5
echo "$as_me: WARNING: CoreAudio/CoreAudio.h: present but cannot be compiled" >&2;}
{ echo "$as_me:$LINENO: WARNING: CoreAudio/CoreAudio.h: check for missing prerequisite headers?" >&5
echo "$as_me: WARNING: CoreAudio/CoreAudio.h: check for missing prerequisite headers?" >&2;}
{ echo "$as_me:$LINENO: WARNING: CoreAudio/CoreAudio.h: check for missing preret quisite headers?" >&5
echo "$as_me: WARNING: CoreAudio/CoreAudio.h: check for missing preret quisite headers?" >&2;}
{ echo "$as_me:$LINENO: WARNING: CoreAudio/CoreAudio.h: see the Autoconf documentation" >&5
echo "$as_me: WARNING: CoreAudio/CoreAudio.h: see the Autoconf documentation" >&2;}
{ echo "$as_me:$LINENO: WARNING: CoreAudio/CoreAudio.h: section \"Present But Cannot Be Compiled\"" >&5
@ -25313,7 +25313,7 @@ if test "x$kde_cv_func_res_init" = xyes; then
else
case "res_init" in
setenv|unsetenv|usleep|random|srandom|seteuid|mkstemps|mkstemp|revoke|vsnprintf|strlcpy|strlcat)
kde_cv_proto_res_init="yes - in libk defakes"
kde_cv_proto_res_init="yes - in libt defakes"
;;
*)
kde_cv_proto_res_init=unknown
@ -28418,8 +28418,8 @@ echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
no:yes:* )
{ echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: check for missing preret quisite headers?" >&5
echo "$as_me: WARNING: $ac_header: check for missing preret quisite headers?" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
@ -28853,41 +28853,41 @@ sed 's/^/| /' conftest.$ac_ext >&5
LIBS="$ac_save_LIBS"
# First see if replacing the include by lib works.
# Check X11 before X11Rn because it is often a symlink to the current release.
for ac_dir in `echo "$ac_x_includes" | sed s/include/lib${k delibsuff}/` \
/usr/X11/lib${k delibsuff} \
/usr/X11R6/lib${k delibsuff} \
/usr/X11R5/lib${k delibsuff} \
/usr/X11R4/lib${k delibsuff} \
for ac_dir in `echo "$ac_x_includes" | sed s/include/lib${t delibsuff}/` \
/usr/X11/lib${t delibsuff} \
/usr/X11R6/lib${t delibsuff} \
/usr/X11R5/lib${t delibsuff} \
/usr/X11R4/lib${t delibsuff} \
\
/usr/lib${k delibsuff}/X11 \
/usr/lib${k delibsuff}/X11R6 \
/usr/lib${k delibsuff}/X11R5 \
/usr/lib${k delibsuff}/X11R4 \
/usr/lib${t delibsuff}/X11 \
/usr/lib${t delibsuff}/X11R6 \
/usr/lib${t delibsuff}/X11R5 \
/usr/lib${t delibsuff}/X11R4 \
\
/usr/local/X11/lib${k delibsuff} \
/usr/local/X11R6/lib${k delibsuff} \
/usr/local/X11R5/lib${k delibsuff} \
/usr/local/X11R4/lib${k delibsuff} \
/usr/local/X11/lib${t delibsuff} \
/usr/local/X11R6/lib${t delibsuff} \
/usr/local/X11R5/lib${t delibsuff} \
/usr/local/X11R4/lib${t delibsuff} \
\
/usr/local/lib${k delibsuff}/X11 \
/usr/local/lib${k delibsuff}/X11R6 \
/usr/local/lib${k delibsuff}/X11R5 \
/usr/local/lib${k delibsuff}/X11R4 \
/usr/local/lib${t delibsuff}/X11 \
/usr/local/lib${t delibsuff}/X11R6 \
/usr/local/lib${t delibsuff}/X11R5 \
/usr/local/lib${t delibsuff}/X11R4 \
\
/usr/X386/lib${k delibsuff} \
/usr/x386/lib${k delibsuff} \
/usr/XFree86/lib${k delibsuff}/X11 \
/usr/X386/lib${t delibsuff} \
/usr/x386/lib${t delibsuff} \
/usr/XFree86/lib${t delibsuff}/X11 \
\
/usr/lib${k delibsuff} \
/usr/local/lib${k delibsuff} \
/usr/unsupported/lib${k delibsuff} \
/usr/athena/lib${k delibsuff} \
/usr/local/x11r5/lib${k delibsuff} \
/usr/lpp/Xamples/lib${k delibsuff} \
/lib/usr/lib${k delibsuff}/X11 \
/usr/lib${t delibsuff} \
/usr/local/lib${t delibsuff} \
/usr/unsupported/lib${t delibsuff} \
/usr/athena/lib${t delibsuff} \
/usr/local/x11r5/lib${t delibsuff} \
/usr/lpp/Xamples/lib${t delibsuff} \
/lib/usr/lib${t delibsuff}/X11 \
\
/usr/openwin/lib${k delibsuff} \
/usr/openwin/share/lib${k delibsuff} \
/usr/openwin/lib${t delibsuff} \
/usr/openwin/share/lib${t delibsuff} \
; \
do
for ac_extension in a so sl; do
@ -28952,7 +28952,7 @@ fi
ac_x_includes="."
fi
if test -z "$ac_x_libraries"; then
ac_x_libraries="/usr/lib${k delibsuff}"
ac_x_libraries="/usr/lib${t delibsuff}"
fi
esac
#from now on we use our own again
@ -30303,7 +30303,7 @@ qt_includes=""
# Check whether --with-qt-dir was given.
if test "${with_qt_dir+set}" = set; then
withval=$with_qt_dir; ac_qt_includes="$withval"/include
ac_qt_libraries="$withval"/lib${k delibsuff}
ac_qt_libraries="$withval"/lib${t delibsuff}
ac_qt_bindir="$withval"/bin
fi
@ -30368,7 +30368,7 @@ ac_qt_includes="$qt_incdir"
qt_libdirs=""
for dir in $kde_qt_dirs; do
qt_libdirs="$qt_libdirs $dir/lib${k delibsuff} $dir"
qt_libdirs="$qt_libdirs $dir/lib${t delibsuff} $dir"
done
qt_libdirs="$QTLIB $qt_libdirs /usr/X11R6/lib /usr/lib /usr/local/qt/lib $x_libraries"
if test ! "$ac_qt_libraries" = "NO"; then
@ -31169,16 +31169,16 @@ else
if test "$kde_qtver" = 1; then
kde_check_header="ksock.h"
kde_check_lib="libk decore.la"
kde_check_lib="libt decore.la"
else
kde_check_header="ksharedptr.h"
kde_check_lib="libk io.la"
kde_check_lib="libtde io.la"
fi
if test -z ""; then
kde_incdirs="$kde_libs_prefix/include /usr/lib/kde/include /usr/local/kde/include /usr/local/include /usr/kde/include /usr/include/k de /usr/include /opt/kde3/include /opt/kde/include $x_includes $qt_includes"
test -n "$KDEDIR" && kde_incdirs="$KDEDIR/include $KDEDIR/include/kde $K DEDIR $kde_incdirs"
kde_incdirs="$kde_libs_prefix/include /usr/lib/kde/include /usr/local/kde/include /usr/local/include /usr/kde/include /usr/include/t de /usr/include /opt/kde3/include /opt/kde/include $x_includes $qt_includes"
test -n "$TDEDIR" && kde_incdirs="$TDEDIR/include $TDEDIR/include/tde $T DEDIR $kde_incdirs"
kde_incdirs="$ac_kde_includes $kde_incdirs"
kde_incdir=NO
@ -31207,8 +31207,8 @@ So, check this please and use another prefix!" >&2;}
{ (exit 1); exit 1; }; }
fi
kde_libdirs="$kde_libs_prefix/lib${kdelibsuff} /usr/lib/kde/lib${kdelibsuff} /usr/local/kde/lib${kdelibsuff} /usr/kde/lib${kdelibsuff} /usr/lib${kdelibsuff}/kde /usr/lib${kdelibsuff}/kde3 /usr/lib${kdelibsuff} /usr/X11R6/lib${kdelibsuff} /usr/local/lib${kdelibsuff} /opt/kde3/lib${kdelibsuff} /opt/kde/lib${kdelibsuff} /usr/X11R6/kde/lib${k delibsuff}"
test -n "$KDEDIR" && kde_libdirs="$KDEDIR/lib${kdelibsuff} $K DEDIR $kde_libdirs"
kde_libdirs="$kde_libs_prefix/lib${tdelibsuff} /usr/lib/kde/lib${tdelibsuff} /usr/local/kde/lib${tdelibsuff} /usr/kde/lib${tdelibsuff} /usr/lib${tdelibsuff}/kde /usr/lib${tdelibsuff}/kde3 /usr/lib${tdelibsuff} /usr/X11R6/lib${tdelibsuff} /usr/local/lib${tdelibsuff} /opt/kde3/lib${tdelibsuff} /opt/kde/lib${tdelibsuff} /usr/X11R6/kde/lib${t delibsuff}"
test -n "$TDEDIR" && kde_libdirs="$TDEDIR/lib${tdelibsuff} $T DEDIR $kde_libdirs"
kde_libdirs="$ac_kde_libraries $libdir $kde_libdirs"
kde_libdir=NO
@ -31257,10 +31257,10 @@ fi
if test -n "$kde_widgetdir" && test ! -r "$kde_widgetdir/kde3/plugins/designer/kdewidgets.la"; then
{ { echo "$as_me:$LINENO: error:
I can't find the designer plugins. These are required and should have been installed
by k delibs" >&5
by t delibs" >&5
echo "$as_me: error:
I can't find the designer plugins. These are required and should have been installed
by k delibs" >&2;}
by t delibs" >&2;}
{ (exit 1); exit 1; }; }
fi
@ -31394,20 +31394,20 @@ fi
echo "${ECHO_T}$kde_cv_uic_plugins" >&6; }
if test "$kde_cv_uic_plugins" != yes; then
{ { echo "$as_me:$LINENO: error:
you need to install k delibs first.
you need to install t delibs first.
If you did install k delibs, then the Qt version that is picked up by
this configure is not the same version you used to compile k delibs.
The Qt Plugin installed by k delibs is *ONLY* loadable if it is the
If you did install t delibs, then the Qt version that is picked up by
this configure is not the same version you used to compile t delibs.
The Qt Plugin installed by t delibs is *ONLY* loadable if it is the
_same Qt version_, compiled with the _same compiler_ and the same Qt
configuration settings.
" >&5
echo "$as_me: error:
you need to install k delibs first.
you need to install t delibs first.
If you did install k delibs, then the Qt version that is picked up by
this configure is not the same version you used to compile k delibs.
The Qt Plugin installed by k delibs is *ONLY* loadable if it is the
If you did install t delibs, then the Qt version that is picked up by
this configure is not the same version you used to compile t delibs.
The Qt Plugin installed by t delibs is *ONLY* loadable if it is the
_same Qt version_, compiled with the _same compiler_ and the same Qt
configuration settings.
" >&2;}
@ -31582,20 +31582,20 @@ cat > conftest.$ac_ext <<EOF
#include <kapp.h>
int main() {
printf("kde_htmldir=\\"%s\\"\n", K Application::kde_htmldir().data());
printf("kde_appsdir=\\"%s\\"\n", K Application::kde_appsdir().data());
printf("kde_icondir=\\"%s\\"\n", K Application::kde_icondir().data());
printf("kde_sounddir=\\"%s\\"\n", K Application::kde_sounddir().data());
printf("kde_datadir=\\"%s\\"\n", K Application::kde_datadir().data());
printf("kde_locale=\\"%s\\"\n", K Application::kde_localedir().data());
printf("kde_cgidir=\\"%s\\"\n", K Application::kde_cgidir().data());
printf("kde_confdir=\\"%s\\"\n", K Application::kde_configdir().data());
printf("kde_mimedir=\\"%s\\"\n", K Application::kde_mimedir().data());
printf("kde_toolbardir=\\"%s\\"\n", K Application::kde_toolbardir().data());
printf("kde_htmldir=\\"%s\\"\n", TDE Application::kde_htmldir().data());
printf("kde_appsdir=\\"%s\\"\n", TDE Application::kde_appsdir().data());
printf("kde_icondir=\\"%s\\"\n", TDE Application::kde_icondir().data());
printf("kde_sounddir=\\"%s\\"\n", TDE Application::kde_sounddir().data());
printf("kde_datadir=\\"%s\\"\n", TDE Application::kde_datadir().data());
printf("kde_locale=\\"%s\\"\n", TDE Application::kde_localedir().data());
printf("kde_cgidir=\\"%s\\"\n", TDE Application::kde_cgidir().data());
printf("kde_confdir=\\"%s\\"\n", TDE Application::kde_configdir().data());
printf("kde_mimedir=\\"%s\\"\n", TDE Application::kde_mimedir().data());
printf("kde_toolbardir=\\"%s\\"\n", TDE Application::kde_toolbardir().data());
printf("kde_wallpaperdir=\\"%s\\"\n",
K Application::kde_wallpaperdir().data());
printf("kde_bindir=\\"%s\\"\n", K Application::kde_bindir().data());
printf("kde_partsdir=\\"%s\\"\n", K Application::kde_partsdir().data());
TDE Application::kde_wallpaperdir().data());
printf("kde_bindir=\\"%s\\"\n", TDE Application::kde_bindir().data());
printf("kde_partsdir=\\"%s\\"\n", TDE Application::kde_partsdir().data());
printf("kde_servicesdir=\\"/tmp/dummy\\"\n");
printf("kde_servicetypesdir=\\"/tmp/dummy\\"\n");
printf("kde_moduledir=\\"/tmp/dummy\\"\n");
@ -31658,7 +31658,7 @@ ac_compiler_gnu=$ac_cv_c_compiler_gnu
{ echo "$as_me:$LINENO: checking for KDE libraries installed" >&5
echo $ECHO_N "checking for KDE libraries installed... $ECHO_C" >&6; }
ac_link='$LIBTOOL_SHELL --silent --mode=link ${CXX-g++} -o conftest $CXXFLAGS $all_includes $CPPFLAGS $LDFLAGS $all_libraries conftest.$ac_ext $LIBS -lk decore $LIBQT $KDE_TEST_RPATH 1>&5'
ac_link='$LIBTOOL_SHELL --silent --mode=link ${CXX-g++} -o conftest $CXXFLAGS $all_includes $CPPFLAGS $LDFLAGS $all_libraries conftest.$ac_ext $LIBS -lt decore $LIBQT $KDE_TEST_RPATH 1>&5'
if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
@ -31670,22 +31670,22 @@ echo "${ECHO_T}yes" >&6; }
else
{ { echo "$as_me:$LINENO: error: your system fails at linking a small KDE application!
Check, if your compiler is installed correctly and if you have used the
same compiler to compile Qt and k delibs as you did use now.
same compiler to compile Qt and t delibs as you did use now.
For more details about this problem, look at the end of config.log." >&5
echo "$as_me: error: your system fails at linking a small KDE application!
Check, if your compiler is installed correctly and if you have used the
same compiler to compile Qt and k delibs as you did use now.
same compiler to compile Qt and t delibs as you did use now.
For more details about this problem, look at the end of config.log." >&2;}
{ (exit 1); exit 1; }; }
fi
if eval `K DEDIR= ./conftest 2>&5`; then
if eval `T DEDIR= ./conftest 2>&5`; then
kde_result=done
else
kde_result=problems
fi
K DEDIR= ./conftest 2> /dev/null >&5 # make an echo for config.log
T DEDIR= ./conftest 2> /dev/null >&5 # make an echo for config.log
kde_have_all_paths=yes
@ -31884,20 +31884,20 @@ cat > conftest.$ac_ext <<EOF
#include <kapp.h>
int main() {
printf("kde_htmldir=\\"%s\\"\n", K Application::kde_htmldir().data());
printf("kde_appsdir=\\"%s\\"\n", K Application::kde_appsdir().data());
printf("kde_icondir=\\"%s\\"\n", K Application::kde_icondir().data());
printf("kde_sounddir=\\"%s\\"\n", K Application::kde_sounddir().data());
printf("kde_datadir=\\"%s\\"\n", K Application::kde_datadir().data());
printf("kde_locale=\\"%s\\"\n", K Application::kde_localedir().data());
printf("kde_cgidir=\\"%s\\"\n", K Application::kde_cgidir().data());
printf("kde_confdir=\\"%s\\"\n", K Application::kde_configdir().data());
printf("kde_mimedir=\\"%s\\"\n", K Application::kde_mimedir().data());
printf("kde_toolbardir=\\"%s\\"\n", K Application::kde_toolbardir().data());
printf("kde_htmldir=\\"%s\\"\n", TDE Application::kde_htmldir().data());
printf("kde_appsdir=\\"%s\\"\n", TDE Application::kde_appsdir().data());
printf("kde_icondir=\\"%s\\"\n", TDE Application::kde_icondir().data());
printf("kde_sounddir=\\"%s\\"\n", TDE Application::kde_sounddir().data());
printf("kde_datadir=\\"%s\\"\n", TDE Application::kde_datadir().data());
printf("kde_locale=\\"%s\\"\n", TDE Application::kde_localedir().data());
printf("kde_cgidir=\\"%s\\"\n", TDE Application::kde_cgidir().data());
printf("kde_confdir=\\"%s\\"\n", TDE Application::kde_configdir().data());
printf("kde_mimedir=\\"%s\\"\n", TDE Application::kde_mimedir().data());
printf("kde_toolbardir=\\"%s\\"\n", TDE Application::kde_toolbardir().data());
printf("kde_wallpaperdir=\\"%s\\"\n",
K Application::kde_wallpaperdir().data());
printf("kde_bindir=\\"%s\\"\n", K Application::kde_bindir().data());
printf("kde_partsdir=\\"%s\\"\n", K Application::kde_partsdir().data());
TDE Application::kde_wallpaperdir().data());
printf("kde_bindir=\\"%s\\"\n", TDE Application::kde_bindir().data());
printf("kde_partsdir=\\"%s\\"\n", TDE Application::kde_partsdir().data());
printf("kde_servicesdir=\\"/tmp/dummy\\"\n");
printf("kde_servicetypesdir=\\"/tmp/dummy\\"\n");
printf("kde_moduledir=\\"/tmp/dummy\\"\n");
@ -31960,7 +31960,7 @@ ac_compiler_gnu=$ac_cv_c_compiler_gnu
{ echo "$as_me:$LINENO: checking for KDE libraries installed" >&5
echo $ECHO_N "checking for KDE libraries installed... $ECHO_C" >&6; }
ac_link='$LIBTOOL_SHELL --silent --mode=link ${CXX-g++} -o conftest $CXXFLAGS $all_includes $CPPFLAGS $LDFLAGS $all_libraries conftest.$ac_ext $LIBS -lk decore $LIBQT $KDE_TEST_RPATH 1>&5'
ac_link='$LIBTOOL_SHELL --silent --mode=link ${CXX-g++} -o conftest $CXXFLAGS $all_includes $CPPFLAGS $LDFLAGS $all_libraries conftest.$ac_ext $LIBS -lt decore $LIBQT $KDE_TEST_RPATH 1>&5'
if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
@ -31972,22 +31972,22 @@ echo "${ECHO_T}yes" >&6; }
else
{ { echo "$as_me:$LINENO: error: your system fails at linking a small KDE application!
Check, if your compiler is installed correctly and if you have used the
same compiler to compile Qt and k delibs as you did use now.
same compiler to compile Qt and t delibs as you did use now.
For more details about this problem, look at the end of config.log." >&5
echo "$as_me: error: your system fails at linking a small KDE application!
Check, if your compiler is installed correctly and if you have used the
same compiler to compile Qt and k delibs as you did use now.
same compiler to compile Qt and t delibs as you did use now.
For more details about this problem, look at the end of config.log." >&2;}
{ (exit 1); exit 1; }; }
fi
if eval `K DEDIR= ./conftest 2>&5`; then
if eval `T DEDIR= ./conftest 2>&5`; then
kde_result=done
else
kde_result=problems
fi
K DEDIR= ./conftest 2> /dev/null >&5 # make an echo for config.log
T DEDIR= ./conftest 2> /dev/null >&5 # make an echo for config.log
kde_have_all_paths=yes
@ -32096,11 +32096,11 @@ _ACEOF
kde_default_bindirs="/usr/bin /usr/local/bin /opt/local/bin /usr/X11R6/bin /opt/kde/bin /opt/kde3/bin /usr/kde/bin /usr/local/kde/bin"
test -n "$KDEDIR" && kde_default_bindirs="$K DEDIR/bin $kde_default_bindirs"
if test -n "$K DEDIRS"; then
test -n "$TDEDIR" && kde_default_bindirs="$T DEDIR/bin $kde_default_bindirs"
if test -n "$T DEDIRS"; then
kde_save_IFS=$IFS
IFS=:
for dir in $K DEDIRS; do
for dir in $T DEDIRS; do
kde_default_bindirs="$dir/bin $kde_default_bindirs "
done
IFS=$kde_save_IFS
@ -32474,12 +32474,12 @@ echo "${ECHO_T}$kde_cv_path" >&6; }
if test -n "$kde32ornewer"; then
{ echo "$as_me:$LINENO: checking for k config_compiler" >&5
echo $ECHO_N "checking for k config_compiler... $ECHO_C" >&6; }
{ echo "$as_me:$LINENO: checking for tde config_compiler" >&5
echo $ECHO_N "checking for tde config_compiler... $ECHO_C" >&6; }
if test -n "$KCONFIG_COMPILER"; then
kde_cv_path="$KCONFIG_COMPILER";
else
kde_cache=`echo k config_compiler | sed 'y%./+-%__p_%'`
kde_cache=`echo tde config_compiler | sed 'y%./+-%__p_%'`
if { as_var=kde_cv_path_$kde_cache; eval "test \"\${$as_var+set}\" = set"; }; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@ -32498,16 +32498,16 @@ else
IFS=$kde_save_IFS
for dir in $dirs; do
if test -x "$dir/k config_compiler"; then
if test -x "$dir/tde config_compiler"; then
if test -n ""
then
evalstr="$dir/k config_compiler 2>&1 "
evalstr="$dir/tde config_compiler 2>&1 "
if eval $evalstr; then
kde_cv_path="$dir/k config_compiler"
kde_cv_path="$dir/tde config_compiler"
break
fi
else
kde_cv_path="$dir/k config_compiler"
kde_cv_path="$dir/tde config_compiler"
break
fi
fi
@ -32527,10 +32527,10 @@ fi
{ echo "$as_me:$LINENO: result: not found" >&5
echo "${ECHO_T}not found" >&6; }
{ { echo "$as_me:$LINENO: error: The important program k config_compiler was not found!
{ { echo "$as_me:$LINENO: error: The important program tde config_compiler was not found!
Please check whether you installed KDE correctly.
" >&5
echo "$as_me: error: The important program k config_compiler was not found!
echo "$as_me: error: The important program tde config_compiler was not found!
Please check whether you installed KDE correctly.
" >&2;}
{ (exit 1); exit 1; }; }
@ -32614,12 +32614,12 @@ echo "${ECHO_T}$kde_cv_path" >&6; }
fi
if test -n "$kde33ornewer"; then
{ echo "$as_me:$LINENO: checking for makek dewidgets" >&5
echo $ECHO_N "checking for makek dewidgets... $ECHO_C" >&6; }
{ echo "$as_me:$LINENO: checking for maket dewidgets" >&5
echo $ECHO_N "checking for maket dewidgets... $ECHO_C" >&6; }
if test -n "$MAKEKDEWIDGETS"; then
kde_cv_path="$MAKEKDEWIDGETS";
else
kde_cache=`echo makek dewidgets | sed 'y%./+-%__p_%'`
kde_cache=`echo maket dewidgets | sed 'y%./+-%__p_%'`
if { as_var=kde_cv_path_$kde_cache; eval "test \"\${$as_var+set}\" = set"; }; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@ -32638,16 +32638,16 @@ else
IFS=$kde_save_IFS
for dir in $dirs; do
if test -x "$dir/makek dewidgets"; then
if test -x "$dir/maket dewidgets"; then
if test -n ""
then
evalstr="$dir/makek dewidgets 2>&1 "
evalstr="$dir/maket dewidgets 2>&1 "
if eval $evalstr; then
kde_cv_path="$dir/makek dewidgets"
kde_cv_path="$dir/maket dewidgets"
break
fi
else
kde_cv_path="$dir/makek dewidgets"
kde_cv_path="$dir/maket dewidgets"
break
fi
fi
@ -32667,10 +32667,10 @@ fi
{ echo "$as_me:$LINENO: result: not found" >&5
echo "${ECHO_T}not found" >&6; }
{ { echo "$as_me:$LINENO: error: The important program makek dewidgets was not found!
{ { echo "$as_me:$LINENO: error: The important program maket dewidgets was not found!
Please check whether you installed KDE correctly.
" >&5
echo "$as_me: error: The important program makek dewidgets was not found!
echo "$as_me: error: The important program maket dewidgets was not found!
Please check whether you installed KDE correctly.
" >&2;}
{ (exit 1); exit 1; }; }
@ -32748,7 +32748,7 @@ echo "${ECHO_T}$kde_cv_path" >&6; }
if test -n "$MEINPROC" -a "$MEINPROC" != "compiled"; then
kde_sharedirs="/usr/share/kde /usr/local/share /usr/share /opt/kde3/share /opt/kde/share $prefix/share"
test -n "$KDEDIR" && kde_sharedirs="$K DEDIR/share $kde_sharedirs"
test -n "$TDEDIR" && kde_sharedirs="$T DEDIR/share $kde_sharedirs"
KDE_XSL_STYLESHEET=NO
for i in $kde_sharedirs;
@ -32810,7 +32810,7 @@ done
k deinitdir='$(kde_moduledir)'
t deinitdir='$(kde_moduledir)'
@ -32829,16 +32829,16 @@ fi
if test $kde_qtver = 3; then
case $host in
*cygwin*) lib_kded="-lk deinit_kded" ;;
*cygwin*) lib_kded="-lt deinit_kded" ;;
*) lib_kded="" ;;
esac
LIB_KDED=$lib_kded
LIB_KDECORE="-lk decore"
LIB_TDECORE="-lt decore"
LIB_KDEUI="-lk deui"
LIB_TDEUI="-lt deui"
LIB_KIO="-lk io"
LIB_TDEIO="-ltde io"
LIB_KJS="-lkjs"
@ -32846,66 +32846,66 @@ if test $kde_qtver = 3; then
LIB_KAB="-lkab"
LIB_KABC="-lk abc"
LIB_KABC="-ltde abc"
LIB_KHTML="-lk html"
LIB_TDEHTML="-ltde html"
LIB_KSPELL="-lk spell"
LIB_TDESPELL="-ltde spell"
LIB_KPARTS="-lk parts"
LIB_TDEPARTS="-ltde parts"
LIB_KDEPRINT="-lk deprint"
LIB_TDEPRINT="-lt deprint"
LIB_KUTILS="-lk utils"
LIB_TDEUTILS="-ltde utils"
LIB_KDEPIM="-lk depim"
LIB_TDEPIM="-lt depim"
LIB_KIMPROXY="-lk improxy"
LIB_TDEIMPROXY="-ltde improxy"
LIB_KNEWSTUFF="-lknewstuff"
LIB_KDNSSD="-lk dnssd"
LIB_TDEDNSSD="-ltde dnssd"
LIB_KUNITTEST="-lk unittest"
LIB_TDEUNITTEST="-ltde unittest"
# these are for backward compatibility
LIB_KSYCOCA="-lk io"
LIB_TDESYCOCA="-ltde io"
LIB_KFILE="-lk io"
LIB_KFILE="-ltde io"
elif test $kde_qtver = 2; then
LIB_KDECORE="-lk decore"
LIB_TDECORE="-lt decore"
LIB_KDEUI="-lk deui"
LIB_TDEUI="-lt deui"
LIB_KIO="-lk io"
LIB_TDEIO="-ltde io"
LIB_KSYCOCA="-lk sycoca"
LIB_TDESYCOCA="-ltde sycoca"
LIB_SMB="-lsmb"
LIB_KFILE="-lk file"
LIB_KFILE="-ltde file"
LIB_KAB="-lkab"
LIB_KHTML="-lk html"
LIB_TDEHTML="-ltde html"
LIB_KSPELL="-lk spell"
LIB_TDESPELL="-ltde spell"
LIB_KPARTS="-lk parts"
LIB_TDEPARTS="-ltde parts"
LIB_KDEPRINT="-lk deprint"
LIB_TDEPRINT="-lt deprint"
else
LIB_KDECORE="-lk decore -lXext $(LIB_QT)"
LIB_TDECORE="-lt decore -lXext $(LIB_QT)"
LIB_KDEUI="-lkdeui $(LIB_K DECORE)"
LIB_TDEUI="-ltdeui $(LIB_T DECORE)"
LIB_KFM="-lkfm $(LIB_K DECORE)"
LIB_KFM="-lkfm $(LIB_T DECORE)"
LIB_KFILE="-lkfile $(LIB_KFM) $(LIB_K DEUI)"
LIB_KFILE="-ltdefile $(LIB_KFM) $(LIB_T DEUI)"
LIB_KAB="-lkab $(LIB_KIMGIO) $(LIB_K DECORE)"
LIB_KAB="-lkab $(LIB_KIMGIO) $(LIB_T DECORE)"
fi
@ -33721,7 +33721,7 @@ Usage: $0 [OPTIONS] [FILE]...
-h, --help print this help, then exit
-V, --version print version number and configuration settings, then exit
-q, --quiet do not print progress messages
-q, --t quiet do not print progress messages
-d, --debug don't remove temporary files
--recheck update $as_me by reconfiguring in the same conditions
--file=FILE[:TEMPLATE]
@ -33798,7 +33798,7 @@ Try \`$0 --help' for more information." >&2
{ (exit 1); exit 1; }; };;
--help | --hel | -h )
echo "$ac_cs_usage"; exit ;;
-q | -quiet | --quiet | --quie | --qui | --qu | --q \
-q | -t quiet | --t quiet | --t quie | --t qui | --qu | --q \
| -silent | --silent | --silen | --sile | --sil | --si | --s)
ac_cs_silent=: ;;
@ -34225,28 +34225,28 @@ kde_templatesdir!$kde_templatesdir$ac_delim
kde_servicesdir!$kde_servicesdir$ac_delim
kde_servicetypesdir!$kde_servicetypesdir$ac_delim
kde_moduledir!$kde_moduledir$ac_delim
kdeinitdir!$k deinitdir$ac_delim
tdeinitdir!$t deinitdir$ac_delim
kde_styledir!$kde_styledir$ac_delim
kde_widgetdir!$kde_widgetdir$ac_delim
LIB_KDED!$LIB_KDED$ac_delim
LIB_KDECORE!$LIB_K DECORE$ac_delim
LIB_KDEUI!$LIB_K DEUI$ac_delim
LIB_KIO!$LIB_K IO$ac_delim
LIB_TDECORE!$LIB_T DECORE$ac_delim
LIB_TDEUI!$LIB_T DEUI$ac_delim
LIB_TDEIO!$LIB_TDE IO$ac_delim
LIB_KJS!$LIB_KJS$ac_delim
LIB_SMB!$LIB_SMB$ac_delim
LIB_KAB!$LIB_KAB$ac_delim
LIB_KABC!$LIB_KABC$ac_delim
LIB_KHTML!$LIB_K HTML$ac_delim
LIB_KSPELL!$LIB_K SPELL$ac_delim
LIB_KPARTS!$LIB_K PARTS$ac_delim
LIB_KDEPRINT!$LIB_K DEPRINT$ac_delim
LIB_KUTILS!$LIB_K UTILS$ac_delim
LIB_KDEPIM!$LIB_K DEPIM$ac_delim
LIB_KIMPROXY!$LIB_K IMPROXY$ac_delim
LIB_TDEHTML!$LIB_TDE HTML$ac_delim
LIB_TDESPELL!$LIB_TDE SPELL$ac_delim
LIB_TDEPARTS!$LIB_TDE PARTS$ac_delim
LIB_TDEPRINT!$LIB_T DEPRINT$ac_delim
LIB_TDEUTILS!$LIB_TDE UTILS$ac_delim
LIB_TDEPIM!$LIB_T DEPIM$ac_delim
LIB_TDEIMPROXY!$LIB_TDE IMPROXY$ac_delim
LIB_KNEWSTUFF!$LIB_KNEWSTUFF$ac_delim
LIB_KDNSSD!$LIB_K DNSSD$ac_delim
LIB_KUNITTEST!$LIB_K UNITTEST$ac_delim
LIB_KSYCOCA!$LIB_K SYCOCA$ac_delim
LIB_TDEDNSSD!$LIB_TDE DNSSD$ac_delim
LIB_TDEUNITTEST!$LIB_TDE UNITTEST$ac_delim
LIB_TDESYCOCA!$LIB_TDE SYCOCA$ac_delim
LIB_KFILE!$LIB_KFILE$ac_delim
LIB_KFM!$LIB_KFM$ac_delim
TOPSUBDIRS!$TOPSUBDIRS$ac_delim
@ -34836,7 +34836,7 @@ if test "$no_create" != yes; then
ac_cs_success=:
ac_config_status_args=
test "$silent" = yes &&
ac_config_status_args="$ac_config_status_args --quiet"
ac_config_status_args="$ac_config_status_args --t quiet"
exec 5>/dev/null
$SHELL $CONFIG_STATUS $ac_config_status_args || ac_cs_success=false
exec 5>>config.log
@ -34850,13 +34850,13 @@ if test -n "$kde_libs_prefix" -a -n "$given_prefix"; then
# And if so, warn when they don't match
if test "$kde_libs_prefix" != "$given_prefix"; then
# And if kde doesn't know about the prefix yet
echo ":"`k de-config --path exe`":" | grep ":$given_prefix/bin/:" 2>&1 >/dev/null
echo ":"`t de-config --path exe`":" | grep ":$given_prefix/bin/:" 2>&1 >/dev/null
if test $? -ne 0; then
echo ""
echo "Warning: you chose to install this package in $given_prefix,"
echo "but KDE was found in $kde_libs_prefix."
echo "For this to work, you will need to tell KDE about the new prefix, by ensuring"
echo "that KDEDIRS contains it, e.g. export K DEDIRS=$given_prefix:$kde_libs_prefix"
echo "that TDEDIRS contains it, e.g. export T DEDIRS=$given_prefix:$kde_libs_prefix"
echo "Then restart KDE."
echo ""
fi